Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.opengis.annotation
Enum ComplianceLevel

    Object
      Enum<ComplianceLevel>
          ComplianceLevel

All Implemented Interfaces:
  Serializable, Comparable<ComplianceLevel>

    public enum ComplianceLevel

extends Enum<ComplianceLevel>

Compliance level for elements. The international standards defines an extensive set of metadata elements. Typically only a subset of the full number of elements is used. However, it is essential that a basic minimum number of metadata elements be maintained for a dataset.

Since:
  GeoAPI 2.0
Version:
  ISO 19115

Enum Constant Summary
`CORE` Core metadata elements required to identify a dataset, typically for catalogue purposes.
`DATA_PROVIDER` Indicates a required element of the data provider profile.
`DISPLAY_OBJECT` Indicates a required element of the display object profile.
`EDITABLE_DISPLAY_OBJECT` Indicates a required element of the editable display object profile.
`FEATURE` Indicates a required element of the feature profile.
`FEATURE_DISPLAY_OBJECT` Indicates a required element of the feature display object profile.
`SPATIAL` Indicates a required element of the spatial profile.

Method Summary
`static ComplianceLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ComplianceLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CORE

    public static final ComplianceLevel CORE

  Core metadata elements required to identify a dataset, typically for catalogue purposes. This level specifies metadata elements answering the following questions: "Does a dataset on a specific topic exist (what)?", "For a specific place (where)?", "For a specific date or period (when)?" and "A point of contact to learn more about or order the dataset (who)?". Using the recommended optional elements in addition to the mandatory elements will increase interoperability, allowing users to understand without ambiguity the geographic data and the related metadata provided by either the producer or the distributor.

### SPATIAL

    public static final ComplianceLevel SPATIAL

  Indicates a required element of the spatial profile.

### FEATURE

    public static final ComplianceLevel FEATURE

  Indicates a required element of the feature profile.

### DATA_PROVIDER

    public static final ComplianceLevel DATA_PROVIDER

  Indicates a required element of the data provider profile.

### DISPLAY_OBJECT

    public static final ComplianceLevel DISPLAY_OBJECT

  Indicates a required element of the display object profile.

### EDITABLE_DISPLAY_OBJECT

    public static final ComplianceLevel EDITABLE_DISPLAY_OBJECT

  Indicates a required element of the editable display object profile.

### FEATURE_DISPLAY_OBJECT

    public static final ComplianceLevel FEATURE_DISPLAY_OBJECT

  Indicates a required element of the feature display object profile.

Method Detail

### values

    public static ComplianceLevel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ComplianceLevel c : ComplianceLevel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ComplianceLevel valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.